Bug 620889 - black display on T510 with nvidia graphics - nouveau
Summary: black display on T510 with nvidia graphics - nouveau
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-03 17:28 UTC by Lars Gullik Bjønnes
Modified: 2011-06-28 15:01 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 15:01:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lars Gullik Bjønnes 2010-08-03 17:28:07 UTC
Description of problem:

On my Lenovo T510, with the two latest updates to kernel on F13 I get
no (black) display. I am able to login blind so X is really running and
receiving input.

Version-Release number of selected component (if applicable):
working: kernel-2.6.33.5-124.fc13.x86_64
not-working: kernel-2.6.33.6-147.fc13.x86_64
not-working: kernel-2.6.33.6-147.2.4.fc13.x86_64

How reproducible:
every time, just boot with one of the non-working kernels.

Steps to Reproduce:
1. see above
  
Actual results:
no display

Expected results:
display

Additional info:
cpuinfo:
model name      : Intel(R) Core(TM) i7 CPU       M 620  @ 2.67GHz
gpuinfo:
01:00.0 VGA compatible controller: nVidia Corporation GT218 [NVS 3100M] (rev a2)

This error is there regardless of using docking station or not.

Comment 1 Chuck Ebbert 2010-08-03 23:11:50 UTC
Can you try 2.6.34.2-32.rc1 from koji? You'll have to manually install it with the command "yum --nogpg localinstall <kernel>"

http://kojipkgs.fedoraproject.org/packages/kernel/2.6.34.2/32.rc1.fc13/x86_64/kernel-2.6.34.2-32.rc1.fc13.x86_64.rpm

Comment 2 Lars Gullik Bjønnes 2010-08-04 10:29:21 UTC
The http://kojipkgs.fedoraproject.org/packages/kernel/2.6.34.2/32.rc1.fc13/x86_64/kernel-2.6.34.2-32.rc1.fc13.x86_64.rpm kernel seemingly work... but hard to tell
since there I am unable to get access to my encrypted disk.

So, yes, I get the X prompt for inputting the disk encryption passphrase,
but unable to test anything further.

Comment 3 Chuck Ebbert 2010-08-04 13:03:54 UTC
(In reply to comment #2)
> The
> http://kojipkgs.fedoraproject.org/packages/kernel/2.6.34.2/32.rc1.fc13/x86_64/kernel-2.6.34.2-32.rc1.fc13.x86_64.rpm
> kernel seemingly work... but hard to tell
> since there I am unable to get access to my encrypted disk.
> 
> So, yes, I get the X prompt for inputting the disk encryption passphrase,
> but unable to test anything further.    

Try adding "rdblacklist=aesni-intel" to the boot options.

Comment 4 Lars Gullik Bjønnes 2010-08-04 17:50:02 UTC
rdblacklist=aesno-intel made no difference. Passphrase not accepted (seemingly),
a boot of 2.6.33.5 works nicely both for X/nouveau and encrypted disk.

Comment 5 Lars Gullik Bjønnes 2010-08-04 18:23:52 UTC
I tested with
http://kojipkgs.fedoraproject.org/packages/kernel/2.6.34.2/33.fc13/x86_64/kernel-2.6.34.2-33.fc13.x86_64.rpm
as well. Same encryption story with that one.

Comment 6 Chuck Ebbert 2010-08-05 21:46:21 UTC
(In reply to comment #4)
> rdblacklist=aesno-intel made no difference. Passphrase not accepted
> (seemingly),
> a boot of 2.6.33.5 works nicely both for X/nouveau and encrypted disk.    

that's aesni-intel, not aesno-intel

Comment 7 Lars Gullik Bjønnes 2010-08-06 11:17:51 UTC
Opps, my bad.

With rdblacklist=aesni-intel I get access to my LUKS partitions/lvm again.

And X/nouveau seems to work ok as well.

This is with http://kojipkgs.fedoraproject.org/packages/kernel/2.6.34.2/34.fc13/x86_64/kernel-2.6.34.2-34.fc13.x86_64.rpm

Should I greate a separate bug for the LUKS issue?

Comment 8 Bug Zapper 2011-06-01 12:11:31 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2011-06-28 15:01:29 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.